Issue 95852 - Locale data for Tok Pisin
Locale data for Tok Pisin
Status: CLOSED FIXED
Product: Internationalization
Classification: Code
Component: localedata
OOo 1.0.0
All All
: P3 trivial (vote)
: ---
Assigned To: stefan.baltzer
issues@l10n
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-04 23:07 UTC by mosestruong
Modified: 2013-08-07 15:02 UTC (History)
2 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Tok Pisin Locale Data (13.11 KB, text/xml)
2008-11-04 23:07 UTC, mosestruong
no flags Details
Fixed spelling of month August (13.10 KB, text/xml)
2008-11-04 23:11 UTC, mosestruong
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description mosestruong 2008-11-04 23:07:12 UTC
Locale data for Tok Pisin, Papua New Guinea
Comment 1 mosestruong 2008-11-04 23:07:46 UTC
Created attachment 57708 [details]
Tok Pisin Locale Data
Comment 2 mosestruong 2008-11-04 23:11:11 UTC
Created attachment 57709 [details]
Fixed spelling of month August
Comment 3 ooo 2008-11-05 10:55:19 UTC
Thank you for your contribution.
Please note that to integrate code or data contributed we need a signed
Contributor Agreement form (SCA) filled-out, see
http://wiki.services.openoffice.org/wiki/Sun_Contributor_Agreement
To be able to lookup your name in the list of approved assignments I'd
appreciate if you stated your full name here in this issue.

Thanks
  Eike
Comment 4 mosestruong 2008-11-05 11:43:01 UTC
My username is my name - Moses Truong - I've just emailed the Sun Contributor's
Agreement this morning.
Comment 5 ooo 2008-11-05 13:01:07 UTC
Hi Moses,
Well done :-)  If your name doesn't show up on
http://www.openoffice.org/copyright/copyrightapproved.html within 2 weeks or so,
please add yourself to http://wiki.services.openoffice.org/wiki/Pending_JCAs
Thanks
  Eike
Comment 6 ooo 2008-11-05 13:03:49 UTC
Reassigning to spare time account.
Comment 7 erack 2008-11-05 20:05:34 UTC
When test-compiling the data I got:

Warning: FormatCode formatindex="12" for currency uses parentheses for negative amounts, which probably is not correct for locales not based on en_US.
Warning: FormatCode formatindex="13" for currency uses parentheses for negative amounts, which probably is not correct for locales not based on en_US.
Warning: FormatCode formatindex="14" for currency uses parentheses for negative amounts, which probably is not correct for locales not based on en_US.
Warning: FormatCode formatindex="15" for currency uses parentheses for negative amounts, which probably is not correct for locales not based on en_US.
Warning: FormatCode formatindex="17" for currency uses parentheses for negative amounts, which probably is not correct for locales not based on en_US.

What should the negative currency format look like?
Currently it is defined to be  (K#,##0.00)
Should it instead be
-K#,##0.00
K-#,##0.00
or with blanks between currency symbol and/or minus sign and/or amount?
Comment 8 erack 2008-11-21 20:45:57 UTC
In cws locales31:

i18npool/source/localedata/data/Attic/tpi_PG.xml  1.1.2.1
i18npool/source/localedata/localedata.cxx  1.59.24.4
i18npool/source/localedata/data/localedata_others.map  1.17.28.3
i18npool/source/localedata/data/makefile.mk  1.47.24.4

As there was no answer for the currency format question I used
-K#,##0.00
Comment 9 ooo 2008-12-11 15:21:17 UTC
Reassigning to QA for verification.
Comment 10 stefan.baltzer 2008-12-17 14:33:52 UTC
Verified in CWS locales31
Comment 11 thorsten.ziehm 2010-02-22 14:58:15 UTC
This issue is closed automatically. It should be fixed in a version with is
available for longer than half a year (OOo 3.1). If you think this issue isn't
fixed in the current version (OOo 3.2) please reopen it. But then please pay
attention about the field 'target milestone'.
The closure was approved by the Release Status Meeting at 22nd of February 2010
and it is based on the issue handling guideline for fixed/verified issues  :
http://wiki.services.openoffice.org/wiki/Handle_fixed_verified_issues